package com.mobvista.apptag.entity;

import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.constants.MySqlTypeConstant;

import java.util.Date;

/**
 * @package: com.mobvista.apptag.entity
 * @author: wangjf
 * @date: 2019-08-12
 * @time: 14:55
 * @email: jinfeng.wang@mobvista.com
 * @phone: 152-1062-7698
 */
public class TagEntity {
    //  标签类型
    private String tagType;
    //  一级标签
    private String firstTag;
    //  二级标签
    private String secondTag;
    //  标签中文全名
    private String comment;
    //  标签ID
    private String featId;
    //  入库时间
    private Date updateTime;
    //  总人数，标注该 package 的总人数
    private int userCount;
    //  标签人数，标注该 标签的 人数
    private int tagCount;
    //  标注比例
    private double tagRate;

    public String getTagType() {
        return tagType;
    }

    public void setTagType(String tagType) {
        this.tagType = tagType;
    }

    public String getFirstTag() {
        return firstTag;
    }

    public void setFirstTag(String firstTag) {
        this.firstTag = firstTag;
    }

    public String getSecondTag() {
        return secondTag;
    }

    public void setSecondTag(String secondTag) {
        this.secondTag = secondTag;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getFeatId() {
        return featId;
    }

    public void setFeatId(String featId) {
        this.featId = featId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public int getUserCount() {
        return userCount;
    }

    public void setUserCount(int userCount) {
        this.userCount = userCount;
    }

    public int getTagCount() {
        return tagCount;
    }

    public void setTagCount(int tagCount) {
        this.tagCount = tagCount;
    }

    public double getTagRate() {
        return tagRate;
    }

    public void setTagRate(double tagRate) {
        this.tagRate = tagRate;
    }
}
